import * as react_jsx_runtime from 'react/jsx-runtime';
import * as React from 'react';
import { Popover as Popover$1 } from '@base-ui/react/popover';

declare function Popover({ ...props }: Popover$1.Root.Props): react_jsx_runtime.JSX.Element;
declare function PopoverTrigger({ ...props }: Popover$1.Trigger.Props): react_jsx_runtime.JSX.Element;
declare function PopoverContent({ className, align, alignOffset, side, sideOffset, collisionPadding, collisionBoundary, collisionAvoidance, ...props }: Popover$1.Popup.Props & Pick<Popover$1.Positioner.Props, "align" | "alignOffset" | "side" | "sideOffset" | "collisionPadding" | "collisionBoundary" | "collisionAvoidance">): react_jsx_runtime.JSX.Element;
declare function PopoverHeader({ className, ...props }: React.ComponentProps<"div">): react_jsx_runtime.JSX.Element;
declare function PopoverTitle({ className, ...props }: Popover$1.Title.Props): react_jsx_runtime.JSX.Element;
declare function PopoverDescription({ className, ...props }: Popover$1.Description.Props): react_jsx_runtime.JSX.Element;

export { Popover, PopoverContent, PopoverDescription, PopoverHeader, PopoverTitle, PopoverTrigger };
